@import model._
@(players: Seq[PlayerWithTypes])(implicit req: MessagesRequest[AnyContent], user: User)

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Free Agents")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Free Agents</h3>
            <hr />
            <div class="table-responsive">
                <table class="table table-sm table-striped table-hover">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Pos</th>
                            <th>Pos</th>
                            <th>Pos</th>
                            <th>BT</th>
                            <th>PT</th>
                            <th>PB</th>
                        </tr>
                    </thead>
                    <tbody>
                    @for(player <- players.sortWith((a, b) => sortPlayersByPosition(a.player, b.player))) {
                        <tr>
                            <td>@player.player.id</td>
                            <td>@player.player.fullName</td>
                            <td>@player.player.positionPrimary</td>
                            <td>@player.player.positionSecondary</td>
                            <td>@player.player.positionTertiary</td>
                            <td>@player.battingType.shortcode</td>
                            <td>@player.pitchingType.map(_.shortcode).getOrElse("")</td>
                            <td>@player.pitchingBonus.map(_.shortcode).getOrElse("")</td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>
    </body>
</html>